 # Gzip Settings
gzip_disable "msie6";
gzip_vary on;
gzip_proxied any;
gzip_comp_level 6;
gzip_buffers 16 8k;
gzip_http_version 1.1;
gzip_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xml+rss text/javascript;
server {
    # Porta WEB
    listen 80 default_server;
    listen [::]:80 default_server;
	#listen 443;
    #listen [::]:443;
	#ssl on;
    #ssl_protocols TLSv1 TLSv1.1 TLSv1.2; # not possible to do exclusive
    #ssl_ciphers   'EDH+CAMELLIA:EDH+aRSA:EECDH+aRSA+AESGCM:EECDH+aRSA+SHA384:EECDH+aRSA+SHA256:EECDH:+CAMELLIA256:+AES256:+CAMELLIA128:+AES128:+SSLv3:!aNULL:!eNULL:!LOW:!3DES:!MD5:!EXP:!PSK:!DSS:!RC4:!SEED:!ECDSA:CAMELLIA256-SHA:AES256-SHA:CAMELLIA128-SHA:AES128-SHA';
    #ssl_prefer_server_ciphers on;
    #ssl_certificate     /opt/docker/etc/nginx/ssl/server.crt;
    #ssl_certificate_key /opt/docker/etc/nginx/ssl/server.key;
    # Nome do servidor
    server_name lumen-swoole.com.br;
    rewrite_log on;
    # Diretorio dos arquivos web
    root /home/application/public;
    # Extensões de arquivos que serão lidos
    index index.php index.html;
    client_max_body_size 128M;
	# URL amigáveis
	location / {
		try_files $uri $uri/ /index.php?$query_string;
	}
    # Configurações PHP FPM.
    location ~ \.php$ {
        try_files $uri /index.php =404;
        fastcgi_split_path_info ^(.+\.php)(/.+)$;
        fastcgi_pass appserver-fpm:9000;
        fastcgi_index index.php;
        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
        fastcgi_read_timeout 300000;
        fastcgi_buffers 8 128k;
        fastcgi_buffer_size 256k;
        proxy_connect_timeout       600000;
        proxy_send_timeout          600000;
        proxy_read_timeout          600000;
        send_timeout                600000;
        include fastcgi_params;
    }
    # Bloqueia arquivo com .ht (Nginx não utiliza o .htaccess como o Apache)
    location ~ /\.ht {
        deny all;
    }
    # Configura cache das extensões abaixo para expirar em 365 dias
    location ~* \.(?:ico|css|js|jpe?g|JPG|png|svg|woff)$ {
        expires 365d;
    }
}
